#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <sys/io.h>

#include "port.h"

#define PORT 0x378


int main(int argc, char **argv){
	int port;
	unsigned char value;
	
	switch (argc) {
		case 1:
			fprintf (stderr, "Usage: %s value [port]\n", argv[0]);
			fprintf (stderr, "      will print value to address port.\n");
			exit(1);
		case 2:
			port = PORT;
			break;
		default:
			port = atoi (argv[2]);
			break;
	}
	
	if (ioperm(port, 1, 1) == -1)
   		fprintf(stderr, "There's something wrong...\n");
	
	value = (unsigned char) (atoi (argv[1])) & 255;
	port_out(port, value);
	
	return 0;
}

