(load "interface-dessin.scm")
(load "compilebin.scm")

(define my-text (instantiate text% ()))
(send my-text set-tabs '(12 19 24 36 48) 0 #f)
;(define my-keymap (send my-text get-keymap))
(define my-style-list (send my-text get-style-list))


(define my-style-delta (make-object style-delta% 'change-size 18))
;(send my-text change-style (make-object style-delta% 'change-bold))
(send my-text change-style (make-object style-delta% 'change-family 'modern))
(send my-text change-style my-style-delta)
(set! my-style-delta (send my-style-delta set-delta-background "grey"))

(define my-editor-canvas
  (instantiate editor-canvas% () (parent hpanel-main) (editor my-text)
    (label "ASM")
    (min-width largeur-editeur) (min-height 70)
    (stretchable-width #f)))

;(define barre_menus
;  (make-object menu-bar% frame))
;
;(define fichier_menu
;  (instantiate menu% ()
;    (label "Fichier")
;    (parent barre_menus)))

;(define fermer_item
;  (make-object menu-item% "Fermer" fichier_menu (lambda (m e)
;                                                  (send frame show #f))))

(define hpanel-buttons-editor (instantiate horizontal-panel% ()
                                (parent hpanel-buttons)
                                (min-width 300)
                                (stretchable-height #f)
                                (stretchable-width #f)))


(define (callback-open c e)
  (send my-text set-filename #f #t)
  (send my-text change-style my-style-delta)
  (send my-text load-file #f 'guess #t)
  (send file-label set-label (file-name-from-path (send my-text get-filename #f))))

(define (callback-save c e)
  (let ((filename (send my-text get-filename #f)))
    (send file-label set-label (file-name-from-path filename))
    (send my-text save-file filename 'text #t)))

(define file-label (instantiate message% () (label "not saved                   ") (parent hpanel-buttons-editor)))

(instantiate button% () (label "load") (parent hpanel-buttons-editor) (callback callback-open))

(instantiate button% () (label "save") (parent hpanel-buttons-editor) (callback callback-save))

(instantiate button% () (label "make") (parent hpanel-buttons-editor) (callback (lambda (b e) (compile))))

(instantiate button% () (label "hex") (parent hpanel-buttons-editor) (callback (lambda (b e) (printf "\n~a\n" (hexfile)))))

(send frame show #t)